gnutls_global_set_log_level(3)

NAME
gnutls_global_set_log_level - This function sets the logging level

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_global_set_log_level(int level);

ARGUMENTS

int level
    it's an integer from 0 to 9.

DESCRIPTION
This is the function that allows you to set the log level. The level is an integer between 0 and 9. Higher values mean more verbosity. The default value is 0. Larger values should only be used with care, since they may reveal sensitive information. Use a log level over 10 to enable all debugging options.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.